# Server Status API

You can retrieve the server status via <https://urlbackoffice.doyoudreamup.com/servlet/api/serverstatus>

You can also retrieve the server status via the API provided from **Preferences > Api > API access**. Then click the proposed link and click **Server status**.

Please use **GET /serverstatus** to retrieve the status of the server.

Fill in the fields and click **Execute**.

Curl request:

```
curl -X GET "https://app1.earth.doyoudreamup.com/servlet/api/serverstatus?details=true&pretty=true" -H "accept: application / javascript"
```

Answer by body:

```
{
  "withDetails": true,
  "volumes": {
    "connectedPeople": 9,
    "connectedOperators": 3,
    "currentDialogs": 273,
    "currentLivechatDialogs": 1
  }
  "applications": {
    "runtime": {
      "status": "Ok",
      "durationMs": 40
    }
    "dialog": {
      "status": "Ok",
      "durationMs": 60
    }
    "slogger": {
      "status": "Ok",
      "durationMs": 33
    }
    "website": {
      "status": "Ok",
      "durationMs": 54,
      "customs": {
        "sessions": 16
      }
    }
    "servlet": {
      "status": "Ok",
      "durationMs": 62,
      "requests": {
        "chatHttp": {
          "successes": {
            "fiveMinuteRate": 5.906036065303805,
            "oneMinuteRate": 5.90252539888151,
            "fifteenMinuteRate": 5.715788608984847,
            "count": 1890598,
            "meanRate": 2.946244482465686
          }
          "errors": {
            "fiveMinuteRate": 0.000017346981279379943,
            "oneMinuteRate": 6.362805574417284e-14,
            "fifteenMinuteRate": 0.00019805437583034002,
            "count": 1017,
            "meanRate": 0.0015848587114603676
          }
          "errorsByBot": {
            "0df33792-2271-472b-a817-bb0f556c016d": 24,
            "3c1556aa-c715-464e-8d0d-9655399c2323": 10,
            "84e8cb21-ef29-4334-ac6b-027d61803807": 5,
            "c868780f-78d4-44be-a369-d0922d0f3ede": 46,
            "5826436b-01e8-4ce0-adc9-206e7d639aa6": 73,
            "dfe48d5d-ab32-48be-a26e-1fe3eb3cc1ec": 103,
            "06516c4f-9316-4164-a749-21c4f8fc0cb4": 3,
            "6c510ad0-7d9d-4ce7-8827-6d22daa3ed37": 6,
            "ef07a37a-2f38-44f1-a2c4-d2e71e7c6d20": 75,
            "4e3aca48-e3a4-4f06-8355-94e2975de855": 11,
            "0d78d5ab-5f98-4304-9cf7-08fea68f95fd": 6,
            "1d332804-adc4-4e12-88b9-cbb0ef3a6a87": 263,
            "1793f1cb-17dd-46d6-9f3e-7987e07dbd20": 290,
            "428861e2-0b89-4d17-a698-7517279900b9": 3,
            "b4ef36d7-8d70-46bf-a70c-ea9edc078399": 1,
            "382e4eab-ff06-4b15-83bd-0cf8c8dde391": 98
          }
          "ignored": {
            "fiveMinuteRate": 1.7965881041209464,
            "oneMinuteRate": 2.2496662837624264,
            "fifteenMinuteRate": 1.916842244426779,
            "count": 831534,
            "meanRate": 1.2958347137358672
          }
          "fiveMinuteErrorsRatio": 0
        }
      }
      "customs": {
        "sessions": 0
      }
    }
    "sso": {
      "status": "Ok",
      "durationMs": 42
    }
    "router": {
      "status": "Ok",
      "durationMs": 2,
      "customs": {
        "sessions": 4
      }
    }
    "livechat": {
      "status": "Ok",
      "durationMs": 11,
      "customs": {
        "sessions": 168
      }
    }
    "analytic": {
      "status": "Ok",
      "durationMs": 7,
      "customs": {
        "sessions": 0
      }
    }
  }
  "status": "Ok",
  "hostName": "app1.earth.doyoudreamup.com",
  "date": "2019-03-26 17:40:49",
  "version": "49.2470 a543dff5",
  "durationMs": 61
}
```

Results interpretation:

The **"volumes"** object gives you the number of people connected to the back office and the number of dialogs in progress.

The **"applications"** object gives you the status and other information about existing applications on the server.

The **"status"** object defines the state of the server ("Ok", "Ko", "Unknown" or "Warning"). This result allows you to obtain the server status that can be taken into account for monitoring purposes.

Note: the **durationMs** parameter shows the time necessary to retrieve the information. This data is purely informative.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-en.dydu.ai/developers/api-reference/server-status-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
